Bug 364361 - NFS: Fix directory caching problem - with test case and patch.
Summary: NFS: Fix directory caching problem - with test case and patch.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.5
Hardware: All Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jeff Layton
QA Contact: Martin Jenner
URL:
Whiteboard: GSSApproved
Keywords: ZStream
Depends On: 364351
Blocks: 429840 430698 437787 437788
TreeView+ depends on / blocked
 
Reported: 2007-11-02 17:56 UTC by Jeff Layton
Modified: 2008-07-24 19:19 UTC (History)
6 users (show)

Fixed In Version: RHSA-2008-0665
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 19:19:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0665 normal SHIPPED_LIVE Moderate: Updated kernel packages for Red Hat Enterprise Linux 4.7 2008-07-24 16:41:06 UTC

Description Jeff Layton 2007-11-02 17:56:27 UTC
+++ This bug was initially created as a clone of Bug #364351 +++

This patch was pushed upstream last June. The testcase fails on current RHEL4
and RHEL5. Patch fixes RHEL4 and I assume it'll fix RHEL5 as well. Description
of problem and testcase is in the patch description.

There is some speculation that this problem may be related to the problems seen
in  bug 327591. At the very least though, this is a reproducible problem in and
of itself and should probably be fixed.

-- Additional comment from jlayton@redhat.com on 2007-11-02 13:55 EST --
Created an attachment (id=246911)
patch -- discard pagecahe for dirs on dentry iput

Comment 1 RHEL Product and Program Management 2007-11-02 18:05:14 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Vivek Goyal 2008-01-22 23:21:33 UTC
Committed in 68.8 build

Comment 4 Vivek Goyal 2008-01-23 00:06:25 UTC
Oops. I have lined up this patch for 68.9 build and not 68.8. Putting it back to
POST.

Comment 5 Jeff Schroeder 2008-02-15 18:44:03 UTC
Is there any status on when this will be in RHEL5? We've delayed RHEL5 upgrades
until this patch makes it into a blessed Redhat eratta kernel.

Comment 6 Vivek Goyal 2008-02-26 22:09:14 UTC
Committed in 68.13. RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 13 errata-xmlrpc 2008-07-24 19:19:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html


Note You need to log in before you can comment on or make changes to this bug.